Overview of the RPA

The Remote Panel Application (RPA) displays PC-DMIS prompts and allows you to provide input on the Brown & Sharpe Remote Panel™. The RPA is a separate application from PC-DMIS; it can be executed from the directory where PC-DMIS .Generally this will be in the "C:\Pcdmisw" directory.

The topics covered in this section include:

  • Setting Up the Remote Panel Application

  • Running the Remote Panel Application

  • Using the Remote Panel Simulation


Setting Up RPA Communication

The RPA communicates to the remote panel via a serial port connection. You can set the RPA on any serial port available to the computer. The RPA uses the settings 9600, 8, N, 1 to communicate with the remote panel.

More:

Creating a Parts.Dat File


Creating a Parts.Dat File

In order for the RPA to communicate to the remote panel you need to identify the communication (serial) port used as well as the part program description and the full pathway to the part program to be executed.

To do this you need to create a file named Parts.dat that resides in the PC-DMIS installation directory (generally in C:\Pcdmisw). This file specifies the communication port setting as well as the directory of part programs available for execution from the Remote Panel.

To create the Parts.dat file:

  1. Open any text editor (such as Microsoft NotePad).

  2. On the first line, type "COM = n" (without the quotation marks), where n is the serial port number to which the remote panel is connected. This identifies the communication port. If this line is omitted, the RPA defaults to COM = 1. If you set n as zero (0), then the RPA assumes you are running the remote panel offline and will only send input and output to a computer simulation of the remote panel. See Using the Remote Panel Simulation.

  3. On the second (and any following) line(s), type the following:
    "nnn description, filename" without quotation marks, where the following apply:

nnn = an integer that is between –2147483647 and 2147483647, inclusive

description = a description of the part program to be executed

filename = the full path name of the part program to be executed.

Note: nnn and the description must be separated by a space and the description and filename must be separated by a comma. The description cannot have any commas in the text.

  4. Save the file. Name it "parts.dat" and place it in the same directory where you installed PC-DMIS.


Running the RPA

The RPA can be started from the PC-DMIS folder on Windows Start menu, Windows Explorer, or by using Windows Run dialog box (see the Windows Help file if you need additional information). When the RPA starts, it automatically launches PC-DMIS. If PC-DMIS does not start, an error message appears. If you receive an error message, try rebooting your computer; if you continue to receive the same error message, contact Brown & Sharpe Technical Support.

The two-line display of the remote panel is divided into two parts:

  1. Output Line

  2. Input Line

The RPA also uses many keyboard functions and shortcut keys; it also controls five lights on the remote panel. These topics as well as an example on using the Remote Panel Application are given below.

More:

Output Line

Input Line

RPA Keyboard Functions

RPA Controlled Lights

Example of Operator Using the RPA


Output Line

The Output Line displays all the messages and prompts from PC-DMIS. You can scroll up and down in the list of messages and prompts by using the UP ARROW and DOWN ARROW keys. The PAGE UP and PAGE DOWN keys will scroll left (PGUP) and right (PGDWN) along the message line.


Input Line

The Input Line displays everything you type on the remote panel. You can scroll left and right on the Input Line by using the RIGHT and LEFT arrows. Further, you can delete the character under the blinking cursor by pressing the HOME key.


RPA Keyboard Functions

All the keys on the keyboard of the remote panel have a function in the RPA. The keys and their functions are described in the following table:

Key | Function
F1 | Lists the numbers and descriptions of the part programs in the parts.dat file.
F2 | When not executing, this key executes the part program that corresponds to the nnn number the user has entered in the Input Line of the display window. If the user has not typed anything, it tries to execute the part program displayed on the Output Line. When executing, this key displays the file name of the part being executed on the Output Line.
F3 | Erases a hit from the hit buffer. As many hits as necessary can be removed beginning with the last hit taken. This key is only available during part program execution and before the feature is created. (See the ALT + '-' key combination button in PC-DMIS for related information.)
F4 | Resumes execution of a part program halted by a CMM motion error, or the by the F6 key. This is only available during part program execution. (See the Continue button in the PC-DMIS Execution Options dialog box for related information.)
F5 | Selects the left-most (and non-default) action (or button) on standard three-button dialog boxes. This is only available during part program execution
F6 | Halts the probe at its current position and suspends execution of the part program. This key is only available during part program execution. Note: This option will not stop the part program execution if the current move is a PH9 orientation change. The program will stop after the PH9 has stopped. (See the Stop button in the PC-DMIS Execution Options dialog box for related information.)
F7 | This cancels part program execution. This key is only available during execution. (See the Cancel button in the PC-DMIS Execution Options dialog window for related information).
F8 | Exits the RPA and PC-DMIS. Be sure to let any part program execution finish before pressing this key.
./+-0123456789 | Pressing a character on the numeric keypad inserts the indicated character at the current cursor position on the Remote Panel Input Line.
UP ARROW | Displays the previous message on the Output Line of the Remote Panel.
DOWN ARROW | Displays the next message on the Output Line of the Remote Panel.
LEFT ARROW | Moves the cursor one character to the left on the Input Line.
RIGHT ARROW | Moves the cursor one character to the right on the Input Line.
PgUp | Scrolls the Output Line to the left (if it is not at the left end of the message already).
PgDn | Scrolls the Output Line to the right (if it is not at the right end of the message already).
HOME | Deletes the character on the Input Line at the current cursor position
ESC | Selects the last (non-default ) action (or button) in standard three button dialog boxes. This is only available during part program execution.
ENTER | Selects the default action (or button) for standard three button dialog boxes. This is only available during execution.


RPA Controlled Lights

There are five lights controlled by the RPA. The lights and their functions are in the following table:

Light | Function
PANEL ACTIVE | This light remains on from the time the RPA starts communicating on the serial port until it stops communicating on the serial port.
ALERT | This light turns on when the RPA displays a message, and shuts off when the user presses a key on the remote panel.
ACCEPTED | This light turns on when an executed dimension is in tolerance. It shuts off at the beginning of execution or when an executed dimension is out of tolerance.
MARGINAL | This light is currently unused.
REJECTED | This light turns on when an executed dimension is out of tolerance. It shuts off at the beginning of execution or when an executed dimension is in tolerance.


Example of Operator Using the RPA

Under normal circumstances, you will follow these steps:

  1. Start RPA on the computer.

  2. Enter the number of the part program that you want or presses F1 on the remote panel to display the list of part programs as entered in the parts.dat file.

  3. Navigate to the desired part program description using the UP and DOWN ARROW keys.

  4. Press F2 to begin loading and executing the part program. With the exceptions noted below, the same PC-DMIS messages and dialog boxes appear on the remote panel that appear when operating PC-DMIS from a computer terminal.

More:

Note on Dialog Boxes and Messages in the RPA


Note on Dialog Boxes and Messages in the RPA

The RPA is designed to echo the messages and dialogs from PC-DMIS to a user working at the remote panel. It also allows for user input of numbers and certain symbols.

However, not every dialog in PC-DMIS can be fully represented on the remote panel. Some of these include:

The Temperature Compensation dialog box:
This dialog box is too big to display, and is not shown on the remote panel; the defaults for this dialog box are used instead.

The Save As dialog box:
This dialog box is too complex for the remote panel. The Next File number in the current save directory is used instead.

Messages while loading a part program:
Because of the interaction between PC-DMIS, the RPA, and Microsoft COM technology, these messages don't appear.


Using the Remote Panel Simulation

For the benefit of off-line programmers, the RPA can be run without attaching to a remote panel by setting COM = 0 in the parts.dat file. A simulation of the remote panel appears on the screen. This simulation allows a programmer to see what an RPA user would see when running part programs online. The buttons on the simulation must be clicked, there are no keyboard shortcuts.

Remote Control Panel Simulation


Glossary of Terms

RPA


RPA

Remote Panel Application. This application allows users to interact with the Brown & Sharpe Remote Panel™.


Help Contents

Contents

Remote Panel Application

Overview of the RPA

Setting Up RPA Communication

Running the RPA

Using the Remote Panel Simulation